Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.univrennes1.cri.calendar
Class Clean

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--fr.univrennes1.cri.calendar.Clean

All Implemented Interfaces:
  java.lang.Runnable

public class Clean
extends java.lang.Thread

Author:
  S.Gougeon date : 15 janv. 2004 Centre de Ressources Informatiques Université de Rennes 1

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`Clean()`

Method Summary
`void` | `kill()`
`void` | `remind()` Cette fonction est le point d'entré de la classe, il faut imperativement passer par cette méthode et ne pas en appeler une autre directement.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, run, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Clean

    public Clean()

Method Detail

### kill

    public void kill()

### remind

    public void remind()
                throws java.lang.NumberFormatException,
                       java.io.IOException,
                       javax.servlet.jsp.JspException

  Cette fonction est le point d'entré de la classe, il faut imperativement passer par cette méthode et ne pas en appeler une autre directement. Elle initialise le timer et declenche la TimerTask CleanHashtable.

  Throws:
    `java.lang.NumberFormatException`
    `java.io.IOException`
    `javax.servlet.jsp.JspException`

Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD